<script setup lang="ts">
    import { isDefined } from '@/shared/helpers/types'

    interface Props {
        attribut: string
        cypressSelector: string
    }

    defineProps<Props>()
</script>

<template>
    <p :data-cy="cypressSelector">
        <span class="font-weight-bold" style="text-transform: capitalize">
            {{ attribut }} :
        </span>
        &nbsp;
        <span><slot></slot></span>
        <span
            v-if="isDefined($slots['empty-value'])"
            class="font-italic text-grey-darken-1"
        >
            <slot name="empty-value"></slot>
        </span>
    </p>
</template>
